function ZX = playsong(tempo,melody,rhythm)
%PLAYSONG Summary of this function goes here
%   Detailed explanation goes here

ZX(100000)= 0 ;
position = 1;
delta = 5e-5;

rhythm = 60 / tempo * rhythm;

if length(melody) == length(rhythm)
    N = length(melody);
    for lcv = 1 : N
   
        t = 0:delta:rhythm(lcv);
        frequnecy = 440 * (2^(melody(lcv)/12)) ;
        for lcv_1 = 1:length(t)
            ZX(lcv_1+position) = sin(2*pi*frequnecy*t(lcv_1));
        end

        position = position + length(t);

    end
    
else
    err('length of melody must equals to length of rhythm');
end
sound(ZX,1/delta);